package ytdl

type Error struct {
	stdout string
	stderr string
	child  error
}

func (e *Error) Error() string {
	return e.child.Error()
}

func (e *Error) Stdout() string {
	return e.stdout
}

func (e *Error) Stderr() string {
	return e.stderr
}
